Summary:	Java bindings for GTK+
Name:		libgtk-java
Version:	2.8.6
Release:	%mkrel 4
Epoch:		0
License:	LGPL
Group:		Development/Java
URL:		http://java-gnome.sourceforge.net
Source0:        http://research.operationaldynamics.com/linux/java-gnome/dist/%{name}-%{version}.tar.bz2
Source1:        java-gnome-macros.tar.bz2
BuildRequires:	cairo-java
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gtk2 >= 0:2.8.0
Requires:	glib-java cairo-java libgtk+2.0-devel
BuildRequires:  gtk2-devel >= 0:2.8.0, gcc-java >= 0:4.0.1
BuildRequires:	jpackage-utils, java-devel >= 0:1.4.2
BuildRequires:	docbook-utils, docbook-dtd31-sgml
# FIXME: remove this when eclipse-ecj builds on all platforms
ExclusiveArch:	%{ix86} ppc x86_64

%description
libgtk-java is a language binding that allows developers to write GTK
applications in Java.  It is part of Java-GNOME.

%package       	devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q
%setup -q -T -D -a 1
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%configure2_5x --with-jardir=%{_javadir}
%make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd

%install
rm -rf %{buildroot}

%makeinstall_std

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING doc/examples doc/FAQ.html NEWS README THANKS
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%dir %{_includedir}/libgtk-java
%{_includedir}/libgtk-java/*
%{_javadir}/*.jar
%dir %{_datadir}/libgtk-java
%{_datadir}/libgtk-java/*

%files devel
%defattr(-,root,root)
%{_javadir}/*.zip

%changelog
* Sat Aug 26 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-4mdv2007.0
- enable debug package

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-3mdv2007.0
- rebuild

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:2.8.6-1mdv2007.0
- 2.8.6

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 2.8.5-1
- 2.8.5

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:2.8.4-2mdv2007.0
- rebuild for libgcj.so.7

* Tue Apr 18 2006 David Walluck <walluck@mandriva.org> 0:2.8.4-1mdk
- 2.8.4

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:2.8.3-1mdk
- 2.8.3

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:2.8.2-2mdk
- add more BuildRequires

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.8.2-1mdk
- 2.8.2

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-4mdk
- add docbook to BuildRequires

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-3mdk
- BuildRequires: java-devel

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-2mdk
- add %%{_javadir} macro

* Thu Oct 27 2005 David Walluck <walluck@mandriva.org> 0:2.8.1-1mdk
- 2.8.1

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:2.8.0-2mdk
- fix BuildRequires

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:2.8.0-1mdk
- 2.8.0

* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:2.6.2-1.1mdk
- release

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.6.2-3
- Fix permissions of src.zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.6.2-2
- Add compressed java source to devel package.

* Mon Apr 11 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.2-1
- Import libgtk-java 2.6.2.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.1.1-1
- Import libgtk-java 2.6.1.1.

* Wed Mar 16 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.1-3
- Import libgtk-java 2.6.1.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@thor.perf.redhat.com> 2.6.0-3
- Add x86_64.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.0-2
- Remove x86_64.
- Remove ppc64.
- Require java-devel for build, for javadoc.

* Wed Mar  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.0-1
- Import libgtk-java 2.6.0.
- Add ppc and ppc64.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91.1-1
- Import libgtk-java 2.5.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-1
- Import libgtk-java 2.5.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Remove java-devel build requirement.
- Remove patch.
- Fix files section.

* Mon Jan 31 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Add patch to work around build failure.

* Thu Jan 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Import libgtk-java release 2.5.90.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-6
- Install examples directory by itself, not under doc.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-5
- Rewrite description.
- Fix location of run-example patch.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-4
- Build on ppc.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-3
- Don't build on ppc.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-2
- Bump release number.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-1
- Update to 2.4.5.
- Only build on 32-bit architectures.

* Sun Oct 17 2004 Luca De Rugeriis <piedamaro@fastwebnet.it> 2.4.3-2
- Few cleanups.
* Fri Oct 08 2004 Luca De Rugeriis <piedamaro@fastwebnet.it> 2.4.3-1
- Initial release.
